<?php

namespace App\Console\Commands;

use App\Trace;
use Illuminate\Console\Command;

class GenerateIdentifier extends Command
{
    /**
     * The name and signature of the console command.
     *
     * @var string
     */
    protected $signature = 'generate:identifier';

    /**
     * The console command description.
     *
     * @var string
     */
    protected $description = '生成编码';

    /**
     * Create a new command instance.
     *
     * @return void
     */
    public function __construct()
    {
        parent::__construct();
    }

    /**
     * Execute the console command.
     *
     * @return mixed
     */
    public function handle()
    {
        $ids = Trace::whereNull('identifier')->pluck('id');
//        $ids = Trace::pluck('id');
        foreach ($ids as $id) {
            Trace::where('id', $id)->update(['identifier' => Trace::get_key($id, true)]);
        }
        return true;
    }
}
